Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.slf4j
Class Log4jLoggerFactory

    java.lang.Object
      org.apache.logging.log4j.spi.AbstractLoggerAdapter<org.slf4j.Logger>
          org.apache.logging.slf4j.Log4jLoggerFactory

All Implemented Interfaces:
  Closeable, org.apache.logging.log4j.spi.LoggerAdapter<org.slf4j.Logger>, org.slf4j.ILoggerFactory

    public class Log4jLoggerFactory

extends org.apache.logging.log4j.spi.AbstractLoggerAdapter<org.slf4j.Logger>
implements org.slf4j.ILoggerFactory

Log4j implementation of SLF4J ILoggerFactory interface.

Field Summary

Fields inherited from class org.apache.logging.log4j.spi.AbstractLoggerAdapter
`registry`

Constructor Summary
`Log4jLoggerFactory()`

Method Summary
`protected org.apache.logging.log4j.spi.LoggerContext` | `getContext()`
`protected org.slf4j.Logger` | `newLogger(String name, org.apache.logging.log4j.spi.LoggerContext context)`

Methods inherited from class org.apache.logging.log4j.spi.AbstractLoggerAdapter
`close, getContext, getLogger, getLoggersInContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.slf4j.ILoggerFactory
`getLogger`

Constructor Detail

### Log4jLoggerFactory

    public Log4jLoggerFactory()

Method Detail

### newLogger

    protected org.slf4j.Logger newLogger(String name,
                                         org.apache.logging.log4j.spi.LoggerContext context)

  Specified by:
    `newLogger` in class `org.apache.logging.log4j.spi.AbstractLoggerAdapter<org.slf4j.Logger>`

### getContext

    protected org.apache.logging.log4j.spi.LoggerContext getContext()

  Specified by:
    `getContext` in class `org.apache.logging.log4j.spi.AbstractLoggerAdapter<org.slf4j.Logger>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.